Get enabled API features
GET
/api/v1/features
const url = 'https://example.com/api/v1/features';const options = {method: 'GET', headers: {Authorization: '<Authorization>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/api/v1/features \ --header 'Authorization: <Authorization>'Authorizations
Section titled “Authorizations”Responses
Section titled “Responses”OK
Media typeapplication/json
object
accelerated
boolean
alerts
Alerts gates the Alerts section in the SPA. Tied to –alerts-enabled — when false the /api/v1/alerts routes are not registered and the alert tables are not created.
boolean
auth_providers
boolean
console
boolean
event_topics
Array<string>
events
boolean
file_explorer
boolean
health
Health gates the Health section in the SPA. Tied to –health-enabled — when false the /api/v1/health routes are not registered.
boolean
log_sinks
LogSinks gates the Log Sinks section in the SPA. Tied to the same flag as ServiceConfig — the log_sinks routes are registered alongside the service-config routes.
boolean
posture
boolean
service_config
ServiceConfig gates the whole Service Config section in the SPA. When false the /api/v1/service-config routes are not registered at all.
boolean
Examplegenerated
{ "accelerated": true, "alerts": true, "auth_providers": true, "console": true, "event_topics": [ "example" ], "events": true, "file_explorer": true, "health": true, "log_sinks": true, "posture": true, "service_config": true}Unauthorized
Media typeapplication/json
object
code
string
error
string
Examplegenerated
{ "code": "example", "error": "example"}